Bug 1576275 (CVE-2018-5175) - CVE-2018-5175 Mozilla: Universal CSP bypass on sites using strict-dynamic in their policies
Summary: CVE-2018-5175 Mozilla: Universal CSP bypass on sites using strict-dynamic in ...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-5175
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1573375
TreeView+ depends on / blocked
 
Reported: 2018-05-09 07:15 UTC by Doran Moppert
Modified: 2021-02-17 00:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:22:16 UTC


Attachments (Terms of Use)

Description Doran Moppert 2018-05-09 07:15:53 UTC
A mechanism to bypass Content Security Policy (CSP) protections on sites that have a `script-src` policy of `'strict-dynamic'`. If a target website contains an HTML injection flaw an attacker could inject a reference to a copy of the `require.js` library that is part of Firefox’s Developer Tools, and then use a known technique using that library to bypass the CSP restrictions on executing injected scripts.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-11/#CVE-2018-5175

Comment 1 Doran Moppert 2018-05-09 07:15:57 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Masato Kinugawa


Note You need to log in before you can comment on or make changes to this bug.